# Method: resellernotify.register

- [HTTP request](https://developers.google.com/workspace/admin/reseller/reference/rest/v1/resellernotify/register#body.HTTP_TEMPLATE)
- [Query parameters](https://developers.google.com/workspace/admin/reseller/reference/rest/v1/resellernotify/register#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/workspace/admin/reseller/reference/rest/v1/resellernotify/register#body.request_body)
- [Response body](https://developers.google.com/workspace/admin/reseller/reference/rest/v1/resellernotify/register#body.response_body)
- [Authorization scopes](https://developers.google.com/workspace/admin/reseller/reference/rest/v1/resellernotify/register#body.aspect)
- [Try it!](https://developers.google.com/workspace/admin/reseller/reference/rest/v1/resellernotify/register#try-it)

Registers a Reseller for receiving notifications.

### HTTP request

`POST https://reseller.googleapis.com/apps/reseller/v1/resellernotify/register`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Query parameters

| Parameters ||
|---|---|
| `serviceAccountEmailAddress` | `string` The service account which will own the created Cloud-PubSub topic. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/workspace/admin/reseller/reference/rest/v1/ResellernotifyResource`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/apps.order`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).